# List project custom field values

Returns the custom field values for the matching project.

Endpoint: GET /projects/{project_id}/custom_field_values
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `project_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 1234567

## Query parameters:

  - `per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `page` (integer)
    The response page to return.
    Example: 2

## Response 200 fields (application/json):

  - `paging` (object, required)

  - `paging.per_page` (integer)
    The maximum number of items to show per response page.
    Example: 100

  - `paging.page` (integer)
    The current response page number.
    Example: 1

  - `paging.previous` (string,null)
    If you're on the first page, this value is null; otherwise the value is the path and query parameters to get the previous page of items.
    Example: "/api/v1/users?per_page=1000&page=1"

  - `paging.self` (string)
    The path and query parameters to get the current page of items.
    Example: "/api/v1/users?per_page=1000&page=2"

  - `paging.next` (string,null)
    If there are more items, this value is the path and query parameters to get the next page of items; otherwise, it's null.
    Example: "/api/v1/users?per_page=1000&page=3"

  - `paging.count` (integer,null)
    The total number of items in all the pages.

  - `data` (array, required)

  - `data.id` (integer)
    Unique identifier for the custom field value.
    Example: 9996277

  - `data.custom_field_name` (string)
    Example: "FY Goals"

  - `data.custom_field_id` (integer)
    Example: 23654

  - `data.value` (string)
    The actual value of the custom fields.

For a custom field that has a data_type of multiple_choice_selection_list, this can be an array of values from that list.
    Example: "Effective Growth"

  - `data.created_at` (string)
    Example: "2025-04-11T23:37:21Z"

  - `data.updated_at` (string)
    Example: "2025-04-11T23:37:21Z"


